/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <private/eventconnection_p.h>
#include <private/invokedservices_p.h>
#include <private/statemachineextended_p.h>
#include <private/statemachineloader_p.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_QtScxml()
{
    qmlRegisterModule("QtScxml", 6, 0);
    qmlRegisterTypesAndRevisions<QScxmlEventConnection>("QtScxml", 6);
    qmlRegisterTypesAndRevisions<QScxmlEventForeign>("QtScxml", 6);
    qmlRegisterTypesAndRevisions<QScxmlInvokedServices>("QtScxml", 6);
    QMetaType::fromType<QScxmlStateMachineExtended *>().id();
    qmlRegisterTypesAndRevisions<QScxmlStateMachineForeign>("QtScxml", 6);
    qmlRegisterTypesAndRevisions<QScxmlStateMachineLoader>("QtScxml", 6);
    qmlRegisterModule("QtScxml", 6, 4);
}

static const QQmlModuleRegistration registration("QtScxml", qml_register_types_QtScxml);
